> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single SIM card order

> Get a single SIM card order by its ID.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-provisioning.yml get /sim_card_orders/{id}
openapi: 3.1.0
info:
  title: SIM Cards Provisioning API
  version: 2.0.0
  description: >-
    SIM card ordering, registration, and provisioning actions including enable,
    disable, and standby.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /sim_card_orders/{id}:
    get:
      tags:
        - SIM Card Orders
      summary: Get a single SIM card order
      description: Get a single SIM card order by its ID.
      operationId: GetSimCardOrder
      parameters:
        - $ref: '#/components/parameters/ResourceId'
      responses:
        '200':
          $ref: '#/components/responses/GetSimCardOrderResponse'
        '404':
          $ref: '#/components/responses/wireless_ResourceNotFound'
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const simCardOrder = await
            client.simCardOrders.retrieve('6a09cdc3-8948-47f0-aa62-74ac943d6c58');


            console.log(simCardOrder.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            sim_card_order = client.sim_card_orders.retrieve(
                "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
            )
            print(sim_card_order.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tsimCardOrder, err := client.SimCardOrders.Get(context.TODO(), \"6a09cdc3-8948-47f0-aa62-74ac943d6c58\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", simCardOrder.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.simcardorders.SimCardOrderRetrieveParams;

            import
            com.telnyx.sdk.models.simcardorders.SimCardOrderRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    SimCardOrderRetrieveResponse simCardOrder = client.simCardOrders().retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            sim_card_order =
            telnyx.sim_card_orders.retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58")


            puts(sim_card_order)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $simCardOrder = $client->simCardOrders->retrieve(
                '6a09cdc3-8948-47f0-aa62-74ac943d6c58'
              );

              var_dump($simCardOrder);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx sim-card-orders retrieve \
              --api-key 'My API Key' \
              --id 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    ResourceId:
      name: id
      description: Identifies the resource.
      in: path
      required: true
      schema:
        format: uuid
        type: string
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  responses:
    GetSimCardOrderResponse:
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/SIMCardOrder'
      description: Successful Response
    wireless_ResourceNotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Error'
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  schemas:
    SIMCardOrder:
      title: SIMCardOrder
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Identifies the resource.
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        record_type:
          type: string
          description: Identifies the type of the resource.
          readOnly: true
          example: sim_card_order
        quantity:
          type: integer
          minimum: 1
          description: The amount of SIM cards requested in the SIM card order.
          example: 21
        cost:
          type: object
          description: An object representing the total cost of the order.
          properties:
            amount:
              type: string
              description: A string representing the cost amount.
              example: '2.32'
            currency:
              type: string
              description: Filter by ISO 4217 currency string.
              example: USD
          example:
            amount: '2.52'
            currency: USD
        order_address:
          type: object
          properties:
            id:
              type: string
              description: Uniquely identifies the address for the order.
              example: '1293384261075731499'
            first_name:
              type: string
              description: The first name of the shipping recipient.
              example: John
            last_name:
              type: string
              description: The last name of the shipping recipient.
              example: Smith
            business_name:
              type: string
              description: The name of the business where the address is located.
              example: Telnyx LLC
            street_address:
              type: string
              description: The name of the street where the address is located.
              example: 600 Congress Avenue
            extended_address:
              type: string
              description: Supplemental field for address information.
              example: 14th Floor
            locality:
              type: string
              description: The name of the city where the address is located.
              example: Austin
            administrative_area:
              type: string
              description: State or province where the address is located.
              example: TX
            country_code:
              type: string
              description: >-
                The mobile operator two-character (ISO 3166-1 alpha-2) origin
                country code.
              example: US
            postal_code:
              type: string
              description: Postal code for the address.
              example: '78701'
          description: >-
            An object representing the address information from when the order
            was submitted.
          readOnly: true
          example:
            id: '1293384261075731499'
            street_address: 600 Congress Avenue
            extended_address: 14th Floor
            locality: Austin
            administrative_area: TX
            country_code: US
            postal_code: '78701'
        tracking_url:
          type: string
          format: uri
          description: The URL used to get tracking information about the order.
          example: http://www.example.com/
        status:
          type: string
          description: >-
            The current status of the SIM Card order.<ul>
            <li><code>pending</code> - the order is waiting to be
            processed.</li> <li><code>processing</code> - the order is currently
            being processed.</li> <li><code>ready_to_ship</code> - the order is
            ready to be shipped to the specified <b>address</b>.</li>
            <li><code>shipped</code> - the order was shipped and is on its way
            to be delivered to the specified <b>address</b>.</li>
            <li><code>delivered</code> - the order was delivered to the
            specified <b>address</b>.</li> <li><code>canceled</code> - the order
            was canceled.</li> </ul>
          enum:
            - pending
            - processing
            - ready_to_ship
            - shipped
            - delivered
            - canceled
          example: pending
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was last
            created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was last
            updated.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````